package cl.uchile.ing.robotomnidireccional;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.support.v7.widget.DividerItemDecoration;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;

import java.util.ArrayList;
import java.util.List;

import static android.support.v7.widget.DividerItemDecoration.VERTICAL;

public class MenuVentanas extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_menu_ventanas);

        List<VentanaItemLista> ListaDeVentanas = new ArrayList<>();
        RecyclerView LDVentanasRV;
        AdaptadorListaVentanas LDVentanasAdaptador;

        LDVentanasRV = findViewById(R.id.EspacioPrincipal);
        LinearLayoutManager LLM = new LinearLayoutManager(this);
        LLM.setOrientation(LinearLayoutManager.VERTICAL);
        LDVentanasRV.setLayoutManager(LLM);

        DividerItemDecoration Divisor = new DividerItemDecoration(getApplicationContext(),VERTICAL);
        LDVentanasRV.addItemDecoration(Divisor);

        ListaDeVentanas.add(new VentanaItemLista("Control Remoto"));
        ListaDeVentanas.add(new VentanaItemLista("Control individual de motores"));
        LDVentanasAdaptador = new AdaptadorListaVentanas(ListaDeVentanas);
        LDVentanasRV.setAdapter(LDVentanasAdaptador);
    }
}
